Package org.jbpm.workflow.instance.node

## Class ForEachNodeInstance

- java.lang.Object
- - org.jbpm.workflow.instance.impl.NodeInstanceImpl
  - - org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl
    - - org.jbpm.workflow.instance.node.StateBasedNodeInstance
      - - org.jbpm.workflow.instance.node.CompositeNodeInstance
        - - org.jbpm.workflow.instance.node.CompositeContextNodeInstance
          - - org.jbpm.workflow.instance.node.ForEachNodeInstance

- All Implemented Interfaces:
    `Serializable`, `ContextableInstance`, `ContextInstanceContainer`, `EventBasedNodeInstanceInterface`, `EventNodeInstanceInterface`, `NodeInstance`, `NodeInstanceContainer`, `org.kie.api.runtime.process.EventListener`, `org.kie.api.runtime.process.NodeInstance`, `org.kie.api.runtime.process.NodeInstanceContainer`

      public class ForEachNodeInstance
      extends CompositeContextNodeInstance

  Runtime counterpart of a for each node.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `class` | `ForEachNodeInstance.ForEachJoinNodeInstance` |
    `class` | `ForEachNodeInstance.ForEachSplitNodeInstance` |

    - ### Nested classes/interfaces inherited from class org.jbpm.workflow.instance.node.CompositeNodeInstance

      `CompositeNodeInstance.CompositeNodeEndInstance, CompositeNodeInstance.CompositeNodeStartInstance`

    - ### Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `NodeInstanceImpl.NodeInstanceTrigger`

    - ### Nested classes/interfaces inherited from interface org.jbpm.workflow.instance.NodeInstance

      `NodeInstance.CancelType`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `cancelType, dynamicParameters, slaCompliance, slaDueDate, slaTimerId, triggerTime, UNIQUE_ID`

    - ### Fields inherited from interface org.jbpm.workflow.instance.NodeInstance

      `METADATA_WRAP_ASYNC_NODE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ForEachNodeInstance()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ContextContainer` | `getContextContainer()` |
    `ContextInstance` | `getContextInstance​(String contextId)` |
    `ForEachNode` | `getForEachNode()` |
    `int` | `getLevelForNode​(String uniqueID)` |
    `NodeInstance` | `getNodeInstance​(org.kie.api.definition.process.Node node)` |
    `int` | `getSequentialCounter()` |
    `void` | `setInternalSequentialCounter​(int counter)` |

    - ### Methods inherited from class org.jbpm.workflow.instance.node.CompositeContextNodeInstance

      `addContextInstance, getCompositeContextNode, getContextInstance, getContextInstance, getContextInstances, removeContextInstance, setContextInstance`

    - ### Methods inherited from class org.jbpm.workflow.instance.node.CompositeNodeInstance

      `addEventListeners, addNodeInstance, cancel, getCompositeNode, getCurrentLevel, getFirstNodeInstance, getIterationLevels, getNodeContainer, getNodeInstance, getNodeInstance, getNodeInstances, getNodeInstances, getNodeInstances, getNodeInstances, getState, internalTrigger, internalTriggerOnlyParent, isLinkedIncomingNodeRequired, nodeInstanceCompleted, removeEventListeners, removeNodeInstance, setCurrentLevel, setProcessInstance, setState, signalEvent, triggerCompleted, useAsync`

    - ### Methods inherited from class org.jbpm.workflow.instance.node.StateBasedNodeInstance

      `addTimerListener, checkDeclarationMatch, checkProcessInstance, configureSla, configureTimerInstance, createTimerInstance, getActivationType, getEventBasedNode, getEventTypes, getTimerInstances, handleSLAViolation, internalSetTimerInstances, mapDynamicOutputData, registerBoundaryEvents, resolveVariable, triggerCompleted, triggerCompleted, triggerTimer`

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl

      `getExtendedNode, handleAssignment, mapOutputSetVariables, mapOutputSetVariables, triggerCompleted, triggerEvent`

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `cancel, executeAction, followConnection, getCancelType, getExecutionErrorHandler, getFrom, getId, getLevel, getMetaData, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getNodeName, getProcessInstance, getSlaCompliance, getSlaDueDate, getSlaTimerId, getTriggerTime, getUniqueId, getVariable, internalSetSlaCompliance, internalSetSlaDueDate, internalSetSlaTimerId, isAborted, isInversionOfControl, resolveContext, resolveContextInstance, resolveContextInstance, retrigger, setAborted, setDynamicParameters, setId, setLevel, setMetaData, setNodeId, setNodeInstanceContainer, setVariable, trigger, triggerConnection, triggerNode, triggerNode, triggerNodeInstance, triggerNodeInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ForEachNodeInstance

          public ForEachNodeInstance()

  - ### Method Detail

    - #### getForEachNode

          public ForEachNode getForEachNode()

    - #### getNodeInstance

          public NodeInstance getNodeInstance​(org.kie.api.definition.process.Node node)

      Specified by:
        `getNodeInstance` in interface `NodeInstanceContainer`
      Overrides:
        `getNodeInstance` in class `CompositeNodeInstance`

    - #### getContextContainer

          public ContextContainer getContextContainer()

      Specified by:
        `getContextContainer` in interface `ContextInstanceContainer`
      Overrides:
        `getContextContainer` in class `CompositeContextNodeInstance`

    - #### getContextInstance

          public ContextInstance getContextInstance​(String contextId)

      Specified by:
        `getContextInstance` in interface `ContextableInstance`
      Overrides:
        `getContextInstance` in class `CompositeContextNodeInstance`

    - #### getLevelForNode

          public int getLevelForNode​(String uniqueID)

      Specified by:
        `getLevelForNode` in interface `NodeInstanceContainer`
      Overrides:
        `getLevelForNode` in class `CompositeNodeInstance`

    - #### setInternalSequentialCounter

          public void setInternalSequentialCounter​(int counter)

    - #### getSequentialCounter

          public int getSequentialCounter()